function HuskPlayerMovement:_upd_attention_driving(t, dt)

    if not self._vehicle then
        return
    end

	if self._driver then
		local steer = self._vehicle:get_steer()
		local anim = self._machine:segment_state(self._ids_base)
		local r = math.clamp(-steer, 0, 1)
		local l = math.clamp(steer, 0, 1)
		local fwd = math.clamp(1 - steer, 0, 1)

		self._machine:set_parameter(anim, "fwd", fwd)
		self._machine:set_parameter(anim, "l", l)
		self._machine:set_parameter(anim, "r", r)
		self._machine:forbid_modifier(self._look_modifier_name)
		self._machine:force_modifier(self._head_modifier_name)
		self._machine:forbid_modifier(self._arm_modifier_name)

		if self._sync_look_dir then
			self:update_sync_look_dir(t, dt)
		end

		return
	end

	if self._sync_look_dir then
		if self._atention_on then
			self._atention_on = false

			if self._ext_anim.reload then
				self._atention_on = false
				local blend_out_t = 0.15

				self._machine:set_modifier_blend(self._arm_modifier_name, blend_out_t)
				self._machine:set_modifier_blend(self._head_modifier_name, blend_out_t)
				self._machine:set_modifier_blend(self._look_modifier_name, blend_out_t)
				self._machine:forbid_modifier(self._head_modifier_name)
				self._machine:forbid_modifier(self._arm_modifier_name)
				self._machine:forbid_modifier(self._look_modifier_name)
			end
		elseif self._ext_anim.reload then
			if self._sync_look_dir ~= self._look_dir then
				self._look_dir = mvector3.copy(self._sync_look_dir)
			end

			return
		else
			self._atention_on = true

			if self._vehicle_shooting_stance == PlayerDriving.STANCE_NORMAL and not self._vehicle_allows_shooting then
				self._machine:forbid_modifier(self._look_modifier_name)
				self._machine:force_modifier(self._head_modifier_name)
				self._machine:forbid_modifier(self._arm_modifier_name)
			else
				self._machine:force_modifier(self._look_modifier_name)
				self._machine:forbid_modifier(self._head_modifier_name)
				self._machine:forbid_modifier(self._arm_modifier_name)
			end
		end

		self:update_sync_look_dir(t, dt)

		local fwd = self._m_rot:y()
		local spin = fwd:to_polar_with_reference(self._look_dir, math.UP).spin
		local anim = self._machine:segment_state(self._ids_base)
		local max_anim_spin = 120
		local min_anim_spin = -120
		local aim_spin = spin
		local anim = self._machine:segment_state(self._ids_base)
		local fwd = math.clamp(1 - math.abs(aim_spin) / 45, 0, 1)
		local bwd = math.clamp(1 - (180 - math.abs(aim_spin)) / 45, 0, 1)
		local l, r = nil

		if aim_spin > 0 then
			r = (1 - fwd) - bwd
			l = 0
		else
			l = (1 - fwd) - bwd
			r = 0
		end

		self._machine:set_parameter(anim, "fwd", fwd)
		self._machine:set_parameter(anim, "l", l)
		self._machine:set_parameter(anim, "r", r)
		self._machine:set_parameter(anim, "bwd", bwd)
		self._machine:set_parameter(anim, "team_ai", 0)
	end
end